org.apache.storm.sql.planner.streams

## Class StreamsPlanCreator

- java.lang.Object
- - org.apache.storm.sql.planner.streams.StreamsPlanCreator

-     public class StreamsPlanCreator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamsPlanCreator(Map<String,ISqlStreamsDataSource> sources, org.apache.calcite.rex.RexBuilder rexBuilder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassLoader(CompilingClassLoader compilingClassLoader)`
    `void` | `addStream(Stream<Values> stream)`
    `ExecutableExpression` | `createScalarInstance(List<org.apache.calcite.rex.RexNode> nodes, org.apache.calcite.rel.type.RelDataType inputRowType, String className)`
    `ExecutableExpression` | `createScalarInstance(org.apache.calcite.rex.RexProgram program, String className)`
    `List<CompilingClassLoader>` | `getClassLoaders()`
    `org.apache.calcite.DataContext` | `getDataContext()`
    `ClassLoader` | `getLastClassLoader()`
    `Map<String,ISqlStreamsDataSource>` | `getSources()`
    `StreamBuilder` | `getStreamBuilder()`
    `org.apache.calcite.adapter.java.JavaTypeFactory` | `getTypeFactory()`
    `Stream<Values>` | `pop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamsPlanCreator

          public StreamsPlanCreator(Map<String,ISqlStreamsDataSource> sources,
                                    org.apache.calcite.rex.RexBuilder rexBuilder)

  - ### Method Detail

    - #### addStream

          public void addStream(Stream<Values> stream)
                         throws Exception

      Throws:
        `Exception`

    - #### pop

          public Stream<Values> pop()

    - #### getSources

          public Map<String,ISqlStreamsDataSource> getSources()

    - #### getDataContext

          public org.apache.calcite.DataContext getDataContext()

    - #### getTypeFactory

          public org.apache.calcite.adapter.java.JavaTypeFactory getTypeFactory()

    - #### getStreamBuilder

          public StreamBuilder getStreamBuilder()

    - #### createScalarInstance

          public ExecutableExpression createScalarInstance(List<org.apache.calcite.rex.RexNode> nodes,
                                                           org.apache.calcite.rel.type.RelDataType inputRowType,
                                                           String className)
                                                    throws CompilingClassLoader.CompilerException,
                                                           ClassNotFoundException,
                                                           IllegalAccessException,
                                                           InstantiationException

      Throws:
        `CompilingClassLoader.CompilerException`
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

    - #### createScalarInstance

          public ExecutableExpression createScalarInstance(org.apache.calcite.rex.RexProgram program,
                                                           String className)
                                                    throws CompilingClassLoader.CompilerException,
                                                           ClassNotFoundException,
                                                           IllegalAccessException,
                                                           InstantiationException

      Throws:
        `CompilingClassLoader.CompilerException`
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

    - #### addClassLoader

          public void addClassLoader(CompilingClassLoader compilingClassLoader)

    - #### getLastClassLoader

          public ClassLoader getLastClassLoader()

    - #### getClassLoaders

          public List<CompilingClassLoader> getClassLoaders()

Copyright © 2019 The Apache Software Foundation. All rights reserved.